.picker {
    font-size: 16px;
    text-align: left;
    line-height: 1.2;
    color: #000;
    position: absolute;
    z-index: 10000
}
.picker__input.picker__input--active {
    border-color: #50d63c
}
.picker__holder {
    width: 100%;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch
}
.picker {
    width: 100%
}
.picker__holder {
    position: absolute;
    background: #fff;
    border: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    min-width: 176px;
    max-width: 250px;
    -webkit-border-radius: 0 0 6px 6px;
    -moz-border-radius: 0 0 6px 6px;
    border-radius: 0 0 6px 6px;
    max-height: 0;
    -ms-filter: "alpha(Opacity=0)";
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    opacity: 0;
    -webkit-transform: translateY(-1em) perspective(600px) rotateX(10deg);
       -moz-transform: translateY(-1em) perspective(600px) rotateX(10deg);
            transform: translateY(-1em) perspective(600px) rotateX(10deg);
    -webkit-transition: all .15s ease-out, max-height 0 .15s;
       -moz-transition: all .15s ease-out, max-height 0 .15s;
            transition: all .15s ease-out, max-height 0 .15s
}
.picker--opened .picker__holder {
    max-height: 25em;
    -ms-filter: "alpha(Opacity=100)";
    filter: alpha(opacity=100);
    -moz-opacity: 1;
    opacity: 1;
    -webkit-transform: translateY(0) perspective(600px) rotateX(0);
       -moz-transform: translateY(0) perspective(600px) rotateX(0);
            transform: translateY(0) perspective(600px) rotateX(0);
    -webkit-transition: all .15s ease-out, max-height 0;
       -moz-transition: all .15s ease-out, max-height 0;
        transition: all .15s ease-out, max-height 0;
    -webkit-box-shadow: 0 6px 18px 1px rgba(0, 0, 0, .12);
       -moz-box-shadow: 0 6px 18px 1px rgba(0, 0, 0, .12);
            box-shadow: 0 6px 18px 1px rgba(0, 0, 0, .12)
}
.picker__box {
    padding: 0 1em
}
.picker__header {
    text-align: center;
    position: relative;
    margin-top: .75em
}
.picker__month,
.picker__year {
    font-size: 14px;
    font-weight: 500;
    display: inline-block;
    margin-left: .25em;
    margin-right: .25em
}
.picker__year {
    color: #999;
    font-size: .8em
}
.picker__select--month,
.picker__select--year {
    font-size: .8em;
    border: 1px solid #b7b7b7;
    height: 2.5em;
    padding: .66em .25em;
    margin-left: .25em;
    margin-right: .25em;
    margin-top: -.5em
}

.picker__select--month {
    width: 35%
}
.picker__select--year {
    width: 22.5%
}
.picker__select--month:focus,
.picker__select--year:focus {
    border-color: #50d63c
}
.picker__nav--prev,
.picker__nav--next {
    position: absolute;
    top: -.33em;
    padding: 0;
    width: 2em;
    height: 2em;
    line-height: 2em;
    text-align: center
}
.picker__nav--prev {
    left: 0
}
.picker__nav--next {
    right: 0
}
.picker__nav--prev:before,
.picker__nav--next:before {
    content: "\e93b";
    font-family: 'Linearicons';
    speak: none;
    font-size: 15px;
    font-style: normal;
    font-weight: 600;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.picker__nav--next:before {
    content: "\e93c";
}
.picker__nav--prev:hover,
.picker__nav--next:hover {
    cursor: pointer;
    color: #000;
    background: #dceef4
}
.picker__nav--disabled,
.picker__nav--disabled:hover,
.picker__nav--disabled:before,
.picker__nav--disabled:before:hover {
    cursor: default;
    background: 0;
    border-right-color: whitesmoke;
    border-left-color: whitesmoke
}
.picker__table {
    text-align: center;
    border-collapse: collapse;
    border-spacing: 0;
    table-layout: fixed;
    font-size: inherit;
    width: 100%;
    margin-top: .75em;
    margin-bottom: .5em
}
@media (min-height:26.5em) {
    .picker__table {
        margin-bottom: .75em
    }
}
.picker__table td {
    margin: 0;
    padding: 0
}
.picker__weekday {
    width: 14.285714286%;
    font-size: .70em;
    padding-bottom: .25em;
    color: #999;
    font-weight: 600;
    text-transform: uppercase
}
@media (min-height:26.5em) {
    .picker__weekday {
        padding-bottom: .5em
    }
}
.picker__day {
    padding: .3125em 0;
    font-size: 14px;
    font-weight: normal;
    border: 1px solid transparent
}
.picker__day--today {
    color: #50d63c;
    position: relative
}
.picker__day--today:before {
    content: " ";
    position: absolute;
    top: 2px;
    right: 2px;
    width: 0;
    height: 0;
    border-top: .5em solid #149c00;
    border-left: .5em solid transparent
}
.picker__day--selected,
.picker__day--selected:hover {
    border-color: #50d63c
}
.picker__day--highlighted {
    background: #dceef4
}
.picker__day--disabled:before {
    border-top-color: #aaa
}
.picker__day--outfocus {
    color: #ddd;
    -ms-filter: "alpha(Opacity=66)";
    filter: alpha(opacity=66);
    -moz-opacity: .66;
    opacity: .66
}
.picker__day--infocus:hover,
.picker__day--outfocus:hover {
    cursor: pointer;
    color: #000;
    background: #dceef4
}
.picker__day--highlighted:hover,
.picker--focused .picker__day--highlighted {
    background: #50d63c;
    color: #fff
}
.picker__day--disabled,
.picker__day--disabled:hover {
    background: whitesmoke;
    border-color: whitesmoke;
    color: #ddd;
    cursor: default
}
.picker__footer {
    text-align: center;
    display: none
}
.picker__button--today,
.picker__button--clear {
    border: 1px solid #fff;
    background: #fff;
    font-size: .8em;
    padding: .66em 0;
    font-weight: 700;
    width: 50%;
    display: inline-block;
    vertical-align: bottom
}
.picker__button--today:hover,
.picker__button--clear:hover {
    cursor: pointer;
    color: #000;
    background: #dceef4;
    border-bottom-color: #dceef4
}
.picker__button--today:focus,
.picker__button--clear:focus {
    background: #dceef4;
    border-color: #50d63c;
    outline: 0
}
.picker__button--today:before,
.picker__button--clear:before {
    position: relative;
    display: inline-block;
    height: 0
}
.picker__button--today:before {
    content: " ";
    margin-right: .45em;
    top: -.05em;
    width: 0;
    border-top: .66em solid #0059bc;
    border-left: .66em solid transparent
}
.picker__button--clear:before {
    content: "\D7";
    margin-right: .35em;
    top: -.1em;
    color: #e20;
    vertical-align: top;
    font-size: 1.1em
}